INNORIX
Transfer BuilderTransfer FinderDevelopersResourcesCustomers
Start Free
INNORIX

LET FILES
MOVE THEMSELVES

INNORIX provides enterprise file infrastructure for moving and automating files across every system and environment.
Trusted by more than 5,000 enterprise and government agencies.

START HERE

  • Build the Transfer You Need
  • Find the Transfer You Need

POPULAR TRANSFERS

  • Sync Team Folders
  • Send Large Files to Clients
  • Explore Files Across Systems
  • Migrate FTP, SFTP, SCP & rsync
  • Add Transfer to Any App
  • Add Web Upload & Download
  • Build AI & Data Workflows
  • Browse All Transfersโ†’

DEVELOPERS

  • Developer Center
  • Examples
  • API Quickstart
  • Developer Guide
  • API Reference
  • GitHub

RESOURCES

  • Resource Center
  • Product Guide
  • Integrations
  • Deploy & Manage
  • Help Center

CUSTOMERS

  • Government
  • Public Sector
  • Manufacturing
  • Engineering
  • Finance
  • Distribution
  • IT/Telecom
  • Media
  • Healthcare
  • Education

PLANS

  • Pricing

COMPANY

About Us

OTHER INNORIX PRODUCT

Al.bert โ€” Smart Traffic AI

GLOBAL OFFICES

  • New York, USA
  • Seoul, South Korea
  • Ho Chi Minh City, Vietnam
  • View Office Locationsโ†’

(C)2026 INNORIX. All rights reserved.

  • Security
  • Status
  • Terms
  • Privacy
  • Cookies
  1. Developers
  2. API Reference
  3. API Reference

API Reference

  • Get Your API Key
  • Control & Monitor File Transfers
  • Automate File Transfers
  • API Reference
Deploy & Manage
Exabyter

All endpoints are organized by resource. Use Swagger to run requests and review parameter, request body, and response schemas. The base URL is https://app.innorix.com.

Auth#

Method Path Description
POST /api/auth/api-keys Create API key
DELETE /api/auth/api-keys Revoke API key
POST /api/auth/login User login
POST /api/auth/logout Logout
GET /api/auth/me Get current user
PATCH /api/auth/me Update account information
POST /api/auth/token Refresh session token (deprecated alias)
POST /api/auth/token/refresh Refresh session token

Device#

Method Path Description
GET /api/devices List devices
GET /api/devices/resolve Resolve deviceId by name/IP/MAC/host
GET /api/devices/{deviceId} Get device details
PATCH /api/devices/{deviceId} Update device information
DELETE /api/devices/{deviceId} Delete device
GET /api/devices/{deviceId}/connectivity Get connectivity status
GET /api/devices/{deviceId}/path-stats Get path file count and total size
GET /api/devices/{deviceId}/transfer-history Get device transfer history (cursor pagination)
POST /api/devices/{deviceId}/restart Restart device
POST /api/devices/{deviceId}/update-agent Update agent

Device Files (Explorer)#

Method Path Description
GET /api/devices/{deviceId}/files List folders (non-streaming)
POST /api/devices/{deviceId}/files/copy Copy files
POST /api/devices/{deviceId}/files/delete Delete files
POST /api/devices/{deviceId}/files/folders Create folder
POST /api/devices/{deviceId}/files/move Move file (cut)
POST /api/devices/{deviceId}/files/rename Rename
POST /api/devices/{deviceId}/files/search Start file/folder search (pagination)
GET /api/devices/{deviceId}/files/search Get next file-search batch (cursor)
POST /api/devices/{deviceId}/files/search/cancel Cancel search

Device Groups#

Method Path Description
GET /api/device-groups Get all device groups

Hot Folder#

Method Path Description
PATCH /api/hot-folder-groups/{groupId} Update Hot Folder group
DELETE /api/hot-folder-groups/{groupId} Delete Hot Folder group
GET /api/hot-folders List Hot Folders
POST /api/hot-folders Create Hot Folder
POST /api/hot-folders/bulk-delete Delete multiple Hot Folders
GET /api/hot-folders/{hotFolderId} Get Hot Folder details
PATCH /api/hot-folders/{hotFolderId} Update Hot Folder
DELETE /api/hot-folders/{hotFolderId} Delete Hot Folder

Transfer#

Method Path Description
GET /api/transfers List active transfers (cursor pagination)
POST /api/transfers/bulk-cancel Cancel multiple transfers
POST /api/transfers/validate-path Validate transfer path
GET /api/transfers/{monitorId} Get transfer details (including progress and estimate)
GET /api/transfers/{monitorId}/automation-detail Get transfer automation details
POST /api/transfers/{monitorId}/cancel Cancel transfer
GET /api/transfers/{monitorId}/files List transfer files
POST /api/transfers/{monitorId}/pause Pause transfer
PATCH /api/transfers/{monitorId}/priority Change queue priority
POST /api/transfers/{monitorId}/replay Replay transfer
GET /api/transfers/{monitorId}/replay-data Get replay configuration
POST /api/transfers/{monitorId}/resume Resume transfer
POST /api/transfers/{monitorId}/retry Retry failed files
GET /api/transfers/{monitorId}/verification Get integrity verification results
POST /api/transfers/{monitorId}/verification Start integrity verification

Transfer History#

Method Path Description
GET /api/transfer-history List transfer history (cursor pagination)
GET /api/transfer-history/export Export transfer history CSV
GET /api/transfer-history/{monitorId} Get transfer history details

Automation#

Method Path Description
GET /api/automation-details/{detailId}/next-schedules Get next schedule for automation detail
GET /api/automations List automations
POST /api/automations Create automation
GET /api/automations/{automationId} Get automation details
PATCH /api/automations/{automationId} Update automation
DELETE /api/automations/{automationId} Delete automation
GET /api/automations/{automationId}/details Get automation details (progress ยท OS)
GET /api/automations/{automationId}/executions Get automation execution logs
POST /api/automations/{automationId}/pause Pause/Resume automation

Automation Component (Flow)#

Method Path Description
POST /api/automation-components Create Flow
GET /api/automation-components/{componentId} Get Flow details
PATCH /api/automation-components/{componentId} Update Flow
DELETE /api/automation-components/{componentId} Delete Flow
GET /api/automation-details/{detailId}/components Get Flow for automation detail

Command Automation (URL Request)#

Method Path Description
POST /api/command/generate-code Issue Command Automation (URL Request) trigger code
GET /api/command/generate-api-key Issue Command Automation (URL Request) API key
GET /command/{code} Command Automation external trigger
POST /command/{code} Command Automation external trigger (default UI method)

Integration#

Method Path Description
GET /api/integrations List integrations
POST /api/integrations Create integration
GET /api/integrations/rules Get all integration rules
GET /api/integrations/rules/{type} Get rules by type
PATCH /api/integrations/{integrationId} Update integration
DELETE /api/integrations/{integrationId} Delete integration
PreviousAutomate File Transfers

On this page

  • Auth
  • Device
  • Device Files (Explorer)
  • Device Groups
  • Hot Folder
  • Transfer
  • Transfer History
  • Automation
  • Automation Component (Flow)
  • Command Automation (URL Request)
  • Integration